# Generated by go2rpm
%bcond_with check
%bcond_with bootstrap

# https://github.com/prometheus/common
%global goipath         github.com/prometheus/common
Version:                0.15.0

%gometa

%global goipaths0       github.com/prometheus/common
%global goipathsex0     github.com/prometheus/common/promlog github.com/prometheus/common/config github.com/prometheus/common/version

%if %{without bootstrap}
%global goipaths1       github.com/prometheus/common/promlog github.com/prometheus/common/config github.com/prometheus/common/version
%endif

%global common_description %{expand:
This repository contains Go libraries that are shared across Prometheus
components and libraries.

 - config: Common configuration structures
 - expfmt: Decoding and encoding for the exposition format
 - log: A logging wrapper around logrus
 - model: Shared data structures
 - route: A routing wrapper around httprouter using context.Context
 - version: Version information and metrics}

%global golicenses      LICENSE NOTICE
%global godocs          CONTRIBUTING.md MAINTAINERS.md README.md

%global gosupfiles      glide.lock glide.yaml

Name:           %{goname}
Release:        2%{?dist}
Summary:        Go libraries shared across prometheus components and libraries
Group:          Development/Other

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
BuildArch:      noarch
Source0:        %{gosource}
Source1:        glide.yaml
Source2:        glide.lock

%if %{without bootstrap}
BuildRequires:  golang(github.com/go-kit/kit/log)
BuildRequires:  golang(github.com/go-kit/kit/log/level)
%endif
BuildRequires:  golang(github.com/golang/protobuf/proto)
BuildRequires:  golang(github.com/golang/protobuf/ptypes)
BuildRequires:  golang(github.com/julienschmidt/httprouter)
BuildRequires:  golang(github.com/matttproud/golang_protobuf_extensions/pbutil)
%if %{without bootstrap}
BuildRequires:  golang(github.com/mwitkow/go-conntrack)
%endif
BuildRequires:  golang(github.com/pkg/errors)
%if %{without bootstrap}
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus)
%endif
BuildRequires:  golang(github.com/prometheus/client_model/go)
BuildRequires:  golang(github.com/sirupsen/logrus)
BuildRequires:  golang(gopkg.in/alecthomas/kingpin.v2)
BuildRequires:  golang(gopkg.in/yaml.v2)

%description
%{common_description}

%gopkg

%prep
%goprep
cp %{S:1} %{S:2} .

%install
%gopkginstall

%if %{with check}
%check
%if %{with bootstrap}
%gocheck -t config
%else
%gocheck
%endif
%endif

%gopkgfiles


%changelog
* Thu Dec 31 2020 pterjan <pterjan> 0.15.0-2.mga8
+ Revision: 1667208
- Disable bootstrap

* Tue Dec 29 2020 pterjan <pterjan> 0.15.0-1.mga8
+ Revision: 1664839
- Update to 0.15.0

* Sun Nov 01 2020 pterjan <pterjan> 0.10.0-1.mga8
+ Revision: 1641537
- Sync with Fedora and bootstrap again

* Sat Nov 24 2018 pterjan <pterjan> 0-0.2.mga7
+ Revision: 1333839
- Properly bootstrap
- imported package golang-github-prometheus-common

